#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#ifndef F_CPU
/* Definiere F_CPU, wenn F_CPU nicht bereits vorher definiert
(z.B. durch bergabe als Parameter zum Compiler innerhalb
des Makefiles). Zustzlich Ausgabe einer Warnung, die auf die
"nachtrgliche" Definition hinweist */
#warning "F_CPU war noch nicht definiert, wird nun mit 8000000 definiert"
#define F_CPU 7998976 /* Quarz mit 8 Mhz */
#endif 
#include <util/delay.h>
#include "Max7219.h"
#include "utils.h"

#ifndef CHESS
#define CHESS

#define GAME_OPTION_MANUAL 1
#define GAME_OPTION_HOURGLASS 2
#define GAME_OPTION_FREE_GUILLOTINE 4

#define GAME_BONUS_BONUS 1
#define GAME_BONUS_FREE_BONUS 2

#define GAME_OPTION_GUILLOTINE1 32
#define GAME_OPTION_GUILLOTINE2 64
#define GAME_OPTION_GUILLOTINE4 128

typedef struct 
{
    uint16_t time;
    uint16_t bonus;
    uint8_t options;
    uint16_t* guillotine;
} Game;

Game create_game(uint16_t time, uint16_t bonus);

void ChessInit(void);
void PlayManual(Game player1, Game player2);
void SetTime(uint8_t player, uint16_t time);
void Lost(uint8_t player);
void MainMenu(void);
Game GetGame(uint8_t modi);

#endif
